%define	api_version	3
%define api		3.0
%define lib_major	20

%define libname		%mklibname %{name} %{api_version} %{lib_major}
%define libnamedev	%mklibname -d %{name} %{api_version}
%define gi_libname	%mklibname %{name}-gir %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Package containing code shared among gnome-session, gnome-control-center, nautilus, etc
Name:		gnome-desktop
Version:	43.1
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.21.3
BuildRequires:	pkgconfig(gio-2.0) >= 2.19.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.53.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.4
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libseccomp)
BuildRequires:	pkgconfig(libudev)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext) >= 1.2
BuildRequires:	pkgconfig(xrandr) >= 1.2
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	yelp-tools
BuildRequires:	ldetect-lst
BuildRequires:	iso-codes
Requires:	bubblewrap
Requires:	ldetect-lst >= 0.1.282
Provides:	gnome-desktop3 = %{version}-%{release}
Obsoletes:	gnome-desktop3 < 3.30.2-2
Obsoletes:	gnome-desktop-common < 2.32.1-11
Obsoletes: dockbarx
Obsoletes: gnome-python-desktop
Obsoletes: gnome-python-gnomekeyring
Obsoletes: gnome-python-gnomeprint
Obsoletes: gnome-python-gtksourceview
Obsoletes: gnome-python-gtop
Obsoletes: gourmet
Obsoletes: pyroom

%description
gnome-desktop contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
Obsoletes: lib64gnome-desktop3_19

%description -n %{libname}
gnome-desktop contains the libgnome-desktop library as well as a data
file that exports the "GNOME" version to the Settings Details panel.

The libgnome-desktop library provides API shared by several applications
on the desktop, but that cannot live in the platform for various
reasons. There is no API or ABI guarantee, although we are doing our
best to provide stability. Documentation for the API is available with
gtk-doc.


%package -n %{libnamedev}
Summary:	Static libraries, include files for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %{libnamedev}
The %{libnamedev} package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n gnome-desktop-%{version}
%apply_patches

%build
%meson \
	-Dgtk_doc=false \
	-Dinstalled_tests=false \
	-Dudev=disabled \
	-Dsystemd=disabled
	
%meson_build

%install
%meson_install

#kill it
rm -rf %buildroot/usr/share/help

%find_lang %{name}-%{api} --all-name --with-gnome

%files -f %{name}-%{api}.lang
%{_libexecdir}/gnome-desktop-debug

%files -n %{libname}
%{_libdir}/libgnome-desktop-%{api_version}.so.%{lib_major}*
%{_libdir}/girepository-1.0/GnomeDesktop-%{api}.typelib
%{_libdir}/girepository-1.0/GnomeBG-4.0.typelib
%{_libdir}/girepository-1.0/GnomeDesktop-4.0.typelib
%{_libdir}/girepository-1.0/GnomeRR-4.0.typelib
%{_libdir}/libgnome-bg-4.so.*
%{_libdir}/libgnome-desktop-4.so.*
%{_libdir}/libgnome-rr-4.so.*

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gir-*/GnomeDesktop-*.gir
%{_datadir}/gir-*/GnomeBG-*.gir
%{_datadir}/gir-*/GnomeDesktop-*.gir
%{_datadir}/gir-*/GnomeRR-*.gir


%changelog
* Fri Mar 03 2023 tex - 43.1-1pclos2023
- new version

* Fri Jul 16 2021 tex - 40.3-1pclos2021
- new version

* Sat Feb 13 2021 tex - 3.38.3-2pclos2021
- obsolete old dead ass stuff

* Sun Feb 07 2021 tex - 3.38.3-1pclos2021
- 3.38.3
